<?php
declare(strict_types=1);

namespace Inti\App\Runner;

use Laminas\HttpHandlerRunner\Emitter\EmitterInterface;
use Laminas\HttpHandlerRunner\RequestHandlerRunner;
use Laminas\Stratigility\Middleware\ErrorResponseGenerator;
use Psr\Http\Message\ServerRequestInterface;

/**
 * Class ConfigProvider
 *
 * @package Inti\App\Runner
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-app-runner
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'dependencies' => [
                'factories' => [
                    EmitterInterface::class => Container\EmitterFactory::class,
                    RequestHandlerRunner::class => Container\RequestHandlerRunnerFactory::class,
                    ErrorResponseGenerator::class => Container\ErrorResponseGeneratorFactory::class,
                    ServerRequestInterface::class => Container\ServerRequestFactoryFactory::class,
                ],
            ],
        ];
    }
}
