<?php
declare(strict_types=1);

namespace Inti\App\Runner\Container;

use Laminas\Stratigility\Middleware\ErrorResponseGenerator;
use Psr\Container\ContainerInterface;

/**
 * Class ErrorResponseGeneratorFactory
 *
 * @package Inti\App\Runner\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-app-runner
 */
final class ErrorResponseGeneratorFactory
{
    public function __invoke(ContainerInterface $container): callable
    {
        $config = $container->has('config') ? $container->get('config') : [];
        $isDevelopmentMode = $config['debug'] ?? false;

        return new ErrorResponseGenerator($isDevelopmentMode);
    }
}
